#define	BUFLEN	512
#define	YES	1
#define	NO	0
#define	MAXTABLE	26

//	structure: linked list of structs
//
struct link {
	char		*word;							// pointer to word
	int		     value;							// word count
	struct link *next;							// pointer to next link
};


//	structure: system table
//
typedef struct {
	struct link head[MAXTABLE];					// symbol table of heads
}symtab;

symtab* init_table();
int 	in_table(symtab*, char [] );
int		insert(symtab*, char [], int );
int		lookup(symtab*, char [] );
int		update(symtab*, char [], int );
char*   firstword(symtab*);
char*   nextword(symtab*);
void	word_delete(symtab*, char [] );
